#ifndef WINDOWSSTORETEST_H
#define WINDOWSSTORETEST_H
#include <QObject>
#include <QTemporaryFile>

#include <windows.h>
#include <wincrypt.h>

#include "certificatelist.h"

class WindowsStoreTest: public QObject
{
    Q_OBJECT

private:
    CertificateList validList;
    HCERTSTORE testStore;
    QTemporaryFile tmpFile;

private Q_SLOTS:
    void initTestCase();
    void cleanupTestCase();
    void testInstRemove();
};

#endif // WINDOWSSTORETEST_H
